---
title: Keyboard.getLayoutMap()
slug: Web/API/Keyboard/getLayoutMap
tags:
  - API
  - Keyboard API
  - Keyboard Lock
  - Keyboard Map
  - Method
  - Reference
  - getLayoutMap()
  - keyboard
---
<div>{{APIRef("Keyboard API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>getLayoutMap()</code></strong> method of the {{domxref("Keyboard")}} interface returns a {{jsxref('Promise')}} that resolves with an instance of {{domxref('KeyboardLayoutMap')}} which is a map-like object with functions for retrieving the strings associated with specific physical keys. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>promise</var> = Keyboard.getLayoutMap()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Promise')}} that resolves with an instance of {{domxref('KeyboardLayoutMap')}}.</p>

<h2 id="Example">Example</h2>

<p>The following example demonstrates how to get the location- or layout-specific string associated with the key that corresponds to the 'W' key on an English QWERTY keyboard.</p>

<pre class="brush: js">var keyboard = navigator.keyboard;
keyboard.getLayoutMap()
.then(keyboardLayoutMap =&gt; {
  var upKey = keyboardLayoutMap.get('KeyW');
  window.alert('Press ' + upKey + ' to move up.');
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#h-keyboard-getlayoutmap','getLayoutMap()')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Keyboard.getLayoutMap")}}</p>
